<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c"></a>- c -</h3><ul>
<li>c_str()
: <a class="el" href="classCatch_1_1StringRef.html#a1669cb2765e820ca258159676cbd82a5">Catch::StringRef</a>
</li>
<li>call()
: <a class="el" href="classHandler.html#acb6f96405374df04fa43cb8c2b05def1">Handler</a>
</li>
<li>Capturer()
: <a class="el" href="classCatch_1_1Capturer.html#a86b0b27acc803a4e1310c10820f3038f">Catch::Capturer</a>
</li>
<li>captureValue()
: <a class="el" href="classCatch_1_1Capturer.html#a0695ebf77f7cdcb344c73bcb3d9131e4">Catch::Capturer</a>
</li>
<li>captureValues()
: <a class="el" href="classCatch_1_1Capturer.html#a60d08e6db2e54740bb2298bbbec3bc0b">Catch::Capturer</a>
</li>
<li>cards()
: <a class="el" href="classPlayer.html#af6eb88f3eefd4eacff8a368699551c7e">Player</a>
</li>
<li>CardWidget()
: <a class="el" href="classCardWidget.html#a10a5a595710796866208232aab7ba236">CardWidget</a>
</li>
<li>CasedString()
: <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#aa88bbc5acd2bff22351d8d4b1816b561">Catch::Matchers::StdString::CasedString</a>
</li>
<li>caseSensitivitySuffix()
: <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#a9759155344d696b2476d764a1d95fcc9">Catch::Matchers::StdString::CasedString</a>
</li>
<li>ChatBackend()
: <a class="el" href="classChatBackend.html#ac14627b3e97f12550dfeed81de4f36f5">ChatBackend</a>
</li>
<li>checkIfOver()
: <a class="el" href="classGame.html#ae5ee558bfb7692007efba4e5e74752d1">Game</a>
</li>
<li>ChunkGenerator()
: <a class="el" href="classCatch_1_1Generators_1_1ChunkGenerator.html#a50c334d00cde3166d71e9b90ebc2d2e3">Catch::Generators::ChunkGenerator&lt; T &gt;</a>
</li>
<li>closeServer()
: <a class="el" href="classMoxitServer.html#a1cf829394a93cb21c1f51b0bc83ab534">MoxitServer</a>
</li>
<li>clue()
: <a class="el" href="classGame.html#a3ceca53aa9c7816b57f06b9b5db34e37">Game</a>
</li>
<li>commonPile()
: <a class="el" href="classGame.html#a515351271edfe357163363ed86ae4e69">Game</a>
</li>
<li>complete()
: <a class="el" href="classCatch_1_1AssertionHandler.html#a878a9eb828d8a1863c8dcb6575f6f40e">Catch::AssertionHandler</a>
</li>
<li>configureEpoll()
: <a class="el" href="classMoxitServer.html#a0ad33e0e6d0d824823dadaaf758ae498">MoxitServer</a>
</li>
<li>ContainsElementMatcher()
: <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html#a3f094e7ba2cf4764e784253818c506c8">Catch::Matchers::Vector::ContainsElementMatcher&lt; T, Alloc &gt;</a>
</li>
<li>ContainsMatcher()
: <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1ContainsMatcher.html#acc892883c8409e34b28c9b39d4ef1fe3">Catch::Matchers::StdString::ContainsMatcher</a>
, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html#a5cff10175edc91ed105b157493218ad8">Catch::Matchers::Vector::ContainsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>
</li>
<li>convert()
: <a class="el" href="structCatch_1_1StringMaker.html#a68bb548de0e5ad364228b1ca3dd2f561">Catch::StringMaker&lt; T, typename &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01bool_01_4.html#a37e9899c82c4b4515f876f16f8957a77">Catch::StringMaker&lt; bool &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01Catch_1_1Detail_1_1Approx_01_4.html#a8e5015720682fecfbff0f05de19a698f">Catch::StringMaker&lt; Catch::Detail::Approx &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01char_01_5_01_4.html#a33049e24281ea6fba48bd8817bdd52bd">Catch::StringMaker&lt; char * &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01char_01_4.html#a4e3db69a12bb83f3ef89251893e65da5">Catch::StringMaker&lt; char &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01char_01const_01_5_01_4.html#a20813965ad59cdf6d1f874f47158432d">Catch::StringMaker&lt; char const * &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01char_0fSZ_0e_4.html#a095e415534f9145300271befe9853357">Catch::StringMaker&lt; char[SZ]&gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01double_01_4.html#acaa61529acad2462292c747d34e5f3d2">Catch::StringMaker&lt; double &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01float_01_4.html#a7ffacc6fa46a338200f3fbb2ee078648">Catch::StringMaker&lt; float &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01int_01_4.html#aab096e55fb7283f6ad47b5ca277e22e8">Catch::StringMaker&lt; int &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01long_01_4.html#a1c0c56497813e7a6425c5411d5e66447">Catch::StringMaker&lt; long &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01long_01long_01_4.html#a7a58929dca2a14c576d7d6d08bc615d2">Catch::StringMaker&lt; long long &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01R_01C_1_1_5_01_4.html#af69c15e0b406e945777137fe4a333731">Catch::StringMaker&lt; R C::* &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01R_00_01typename_01std_1_1enable__if_3_01is__range_3_01R_01_4_1_1ve8233c20b54b69b4771fbd413409d181.html#ac6088db00103a7482fb9bc04b1603362">Catch::StringMaker&lt; R, typename std::enable_if&lt; is_range&lt; R &gt;::value &amp;&amp;!::Catch::Detail::IsStreamInsertable&lt; R &gt;::value &gt;::type &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01signed_01char_01_4.html#a5ec41f32916539dc90130539db8222cf">Catch::StringMaker&lt; signed char &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01signed_01char_0fSZ_0e_4.html#a23ac689cc79dbcfe9b1765fe9e25690e">Catch::StringMaker&lt; signed char[SZ]&gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01std_1_1nullptr__t_01_4.html#a131fbb1f5cd68c93aaf30d34e3519e9c">Catch::StringMaker&lt; std::nullptr_t &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01std_1_1string_01_4.html#ae065b2ecc5c1a6c4409cf06d604bd66d">Catch::StringMaker&lt; std::string &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01std_1_1wstring_01_4.html#a375d49d6281bee4d36d853fa1bd5ebbd">Catch::StringMaker&lt; std::wstring &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01T_01_5_01_4.html#a2adbc75c99d71b8323f4052bcb0815c9">Catch::StringMaker&lt; T * &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01T_0fSZ_0e_4.html#a3698cea2c24d8649ec9ecb5fa679eeb7">Catch::StringMaker&lt; T[SZ]&gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01unsigned_01char_01_4.html#a7cddb1df26275b9a8e631466eb122f59">Catch::StringMaker&lt; unsigned char &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01unsigned_01char_0fSZ_0e_4.html#a590d64c72b0cc75c113f1eea95d52b66">Catch::StringMaker&lt; unsigned char[SZ]&gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01unsigned_01int_01_4.html#aa0ec816ef8a65664b0524d55d08e2fd9">Catch::StringMaker&lt; unsigned int &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01unsigned_01long_01_4.html#ae105dc97e4462a86a61b59667f8423c9">Catch::StringMaker&lt; unsigned long &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01unsigned_01long_01long_01_4.html#a6a8708af4fc8df3f52d7eab779b6bc6f">Catch::StringMaker&lt; unsigned long long &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01wchar__t_01_5_01_4.html#a6112fe324da2a0b3a690071a228ecd71">Catch::StringMaker&lt; wchar_t * &gt;</a>
, <a class="el" href="structCatch_1_1StringMaker_3_01wchar__t_01const_01_5_01_4.html#ae7535a1f417ace45ca05e4389334ffeb">Catch::StringMaker&lt; wchar_t const * &gt;</a>
</li>
<li>convertToJson()
: <a class="el" href="classChatBackend.html#a7265235f10af83a8354e319d61f2f350">ChatBackend</a>
</li>
<li>createContext()
: <a class="el" href="structCatch_1_1IMutableContext.html#a17e4b3f9a9674af7e2c4f081c692a628">Catch::IMutableContext</a>
</li>
<li>currNarrator()
: <a class="el" href="classGame.html#aa9587e0a1c5e0e8afb4e3febbe11c8a7">Game</a>
</li>
<li>custom()
: <a class="el" href="classCatch_1_1Detail_1_1Approx.html#aaf86dc0ee92272ac2d9839197a07951d">Catch::Detail::Approx</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
